# DebugOut
<span class="source-link">[[Source]](src/debug/debug.md#L19)</span>
```pony
primitive val DebugOut
```

## Constructors

### create
<span class="source-link">[[Source]](src/debug/debug.md#L19)</span>


```pony
new val create()
: DebugOut val^
```

#### Returns

* [DebugOut](debug-DebugOut.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/debug/debug.md#L20)</span>


```pony
fun box eq(
  that: DebugOut val)
: Bool val
```
#### Parameters

*   that: [DebugOut](debug-DebugOut.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/debug/debug.md#L20)</span>


```pony
fun box ne(
  that: DebugOut val)
: Bool val
```
#### Parameters

*   that: [DebugOut](debug-DebugOut.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

